<!-- 邀请好友 -->
<template>
  <div class="box">
    <img @click="showItem" class="" :src="data.url" alt="">

    <van-action-sheet v-model="show" :actions="actions" @select="onSelect" cancel-text="取消" />
  </div>
</template>

<script>
import {saveImage} from '@/utils/sdk.js'
export default {
  data() {
    return {
      show: false,
      actions: [
        { name: '保存图片', isSave: 1 },

      ],
      data: {
        url: ''
      }
    }
  },
  mounted() {
    this.qrcode()
  },
  methods: {
    qrcode() {
      this.api.qrcode().then(res => {
        console.log(res)
        this.data.url = res.data
      })
    },

    showItem() {
      if (window.BridgeSDK) {
        this.show = true

      }

    },

    onSelect(item) {
      // 点击选项时默认不会关闭菜单，可以手动关闭
      if (item.isSave == 1) {
        this.savePicture1()
      } 
      this.show = false;

    },

    savePicture1() {
      saveImage(this.data.url, (res) => {
        if (res.errno) {
          this.m_success('保存成功')
        } else {
          this.m_toast(res.errmsg)
        }

      })
      // return
      // this.savePicture(this.data.url, () => {
      //     this.m_success('保存成功')
      // }, () => {
      //     this.m_toast('保存失败')
      // })

    },




  }
}

</script>
<style lang='scss' scoped>
.box {
  width: 100%;
  height: 100%;

  img {
    width: 100%;
    height: 100%;
  }
}
</style>